package com.inspect.metadata.prodevmnt.domain;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class BasedataModelDevice extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private String modelDeviceId;
    @Excel(
            name = "设备id"
    )
    private Long deviceId;
    @Excel(
            name = "设备编号"
    )
    private String deviceCode;
    @Excel(
            name = "设备名称"
    )
    private String deviceName;
    @Excel(
            name = "模型类型"
    )
    private String modelType;
    @Excel(
            name = "设备类型状态",
            readConverterExp = "0=正常,1=停用"
    )
    private String status;
    @Excel(
            name = "设备X坐标"
    )
    private String positionX;
    @Excel(
            name = "设备Y坐标"
    )
    private String positionY;
    @Excel(
            name = "设备Z坐标"
    )
    private String positionZ;
    @Excel(
            name = "设备长度"
    )
    private String deviceLength;
    @Excel(
            name = "设备宽度"
    )
    private String deviceWidth;
    @Excel(
            name = "设备高度"
    )
    private String deviceHigh;
    private String delFlag;

    public void setModelDeviceId(String modelDeviceId) {
        this.modelDeviceId = modelDeviceId;
    }

    public String getModelDeviceId() {
        return this.modelDeviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() {
        return this.deviceId;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() {
        return this.deviceCode;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setModelType(String modelType) {
        this.modelType = modelType;
    }

    public String getModelType() {
        return this.modelType;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return this.status;
    }

    public void setPositionX(String positionX) {
        this.positionX = positionX;
    }

    public String getPositionX() {
        return this.positionX;
    }

    public void setPositionY(String positionY) {
        this.positionY = positionY;
    }

    public String getPositionY() {
        return this.positionY;
    }

    public void setPositionZ(String positionZ) {
        this.positionZ = positionZ;
    }

    public String getPositionZ() {
        return this.positionZ;
    }

    public void setDeviceLength(String deviceLength) {
        this.deviceLength = deviceLength;
    }

    public String getDeviceLength() {
        return this.deviceLength;
    }

    public void setDeviceWidth(String deviceWidth) {
        this.deviceWidth = deviceWidth;
    }

    public String getDeviceWidth() {
        return this.deviceWidth;
    }

    public void setDeviceHigh(String deviceHigh) {
        this.deviceHigh = deviceHigh;
    }

    public String getDeviceHigh() {
        return this.deviceHigh;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public String toString() {
        return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("modelDeviceId", this.getModelDeviceId()).append("deviceId", this.getDeviceId()).append("deviceCode", this.getDeviceCode()).append("deviceName", this.getDeviceName()).append("modelType", this.getModelType()).append("status", this.getStatus()).append("positionX", this.getPositionX()).append("positionY", this.getPositionY()).append("positionZ", this.getPositionZ()).append("deviceLength", this.getDeviceLength()).append("deviceWidth", this.getDeviceWidth()).append("deviceHigh", this.getDeviceHigh()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).toString();
    }
}
